<?
include_once '../../sys/inc/start.php';
include_once '../../sys/inc/compress.php';
include_once '../../sys/inc/sess.php';
include_once '../../sys/inc/home.php';
include_once '../../sys/inc/settings.php';
include_once '../../sys/inc/db_connect.php';
include_once '../../sys/inc/ipua.php';
include_once '../../sys/inc/fnc.php';
include_once '../../sys/inc/user.php';
only_reg;

if (mysql_num_rows(mysql_query("SELECT `id` FROM `community_user_incomm` WHERE `uid` = '$user[id]' AND `cid` = '".intval($_GET['cid'])."'"))!==0)
{

if (isset($_GET['them']))
{
if (isset($_GET['cid']) && is_numeric($_GET['cid']) && $_GET['cid']!=NULL)
{

$set['title']='Новая тема'; // заголовок страницы
include_once '../../sys/inc/thead.php';
title();
aut();

if (isset($_POST['name']) && $_POST['name']!=NULL && isset($_POST['text']) && $_POST['text']!=NULL)
{
$rid = intval($_GET['cid']);
$name = $_POST['name'];
$text = $_POST['text'];

$name = mysql_real_escape_string($name);
$text = mysql_real_escape_string($text);

mysql_query("INSERT INTO `community_forum_topics` (`rid`, `id_author`, `name`, `text`, `time_create`, `time_last_edit`, `uid_last_edit`, `status`) VALUES ('$rid', '$user[id]', '$name', '$text', '$time', '$time', '$user[id]', '1')");
msg('Тема успешно добавлена');
header("Location:index.php?cid=$rid");
}

echo '<form method="post" action="?cid='.intval($_GET['cid']).'&amp;them">';
echo 'Название:<br/><input type="text" name="name"/><br/>';
echo 'Сообщение:<br/><textarea name="text"></textarea><br/>';
echo '<input value="Добавить" type="submit"/><br/>';
echo '</form>';


}
}

if (isset($_GET['post']))
if (isset($_GET['cid']) && is_numeric($_GET['cid']) && $_GET['cid']!=NULL && isset($_GET['tid']) && is_numeric($_GET['tid']) && $_GET['tid']!=NULL){
$set['title']='Написать сообщение'; // заголовок страницы
include_once '../../sys/inc/thead.php';
title();
aut();

if (isset($_POST['text']) && $_POST['text']!=NULL)
{
$cid = intval($_GET['cid']);
$tid = intval($_GET['tid']);
$text = $_POST['text'];

$cid = mysql_real_escape_string($cid);
$tid = mysql_real_escape_string($tid);
$text = mysql_real_escape_string($text);

mysql_query("INSERT INTO `community_forum_posts` (`tid`, `time_create`, `time_last_create`, `text`, `id_author`, `cyt`) VALUES ('$tid', '$time', '$time', '$text', '$user[id]', NULL)");
mysql_query("UPDATE `community_forum_topics` SET `time_last_edit` = '$time', `uid_last_edit` = '$user[id]' WHERE `id` = '$tid'");
header("Location:index.php?cid=$cid&tid=$tid&".SID);
exit;
}

echo '<form method="post" action="add.php?cid='.intval($_GET['cid']).'&amp;tid='.intval($_GET['tid']).'&amp;post">';
echo 'Сообщение:<br/><textarea name="text"></textarea><br/>';
echo '<input value="Написать" type="submit"/><br/>';
echo '</form>';

}


}

include_once '../../sys/inc/tfoot.php';
?>